Latest versionsfixlist
11.1.0.7 FixList
10.5.0.9 FixList
10.1.0.6 FixList
9.8.0.5 FixList
9.7.0.11 FixList
9.5.0.10 FixList
9.1.0.12 FixList
Have problems? - contact us.
Register for free anmeldung-x26
Contact form kontakt-x26

DB2 - Problem description

Problem IC64318 Status: Closed

DB2IUPDT MAY RETURN DBI1177W IF A SPECIAL BUILD WAS INSTALLED IN A SEPERATE
INSTALLATION PATH

product:
DB2 FOR LUW / DB2FORLUW / 910 - DB2
Problem description:
If you install a DB2 Special Build (db2setup/db2_install) in a 
different directory than the previous installation then 
db2iupdt may fail with a misleading DBI1177W message: 
 
DBI1177W Updating an instance to a code level that is lower than 
         the current level used by the instance. 
 
This problem is caused by a invalid comparison of the build 
level strings in the instance update scripts (i.e.: sYYMMDD vs. 
special_NNNNN). 
 
Note: If you are going to install a Special Build provided by 
DB2 Technical Support then the warning can be ignored and 
db2iupdt should be run with the "-D" option to overcome the 
problem.
Problem Summary:
Users Affected: ALL USERS ON UNIX PLATFORMS (DOES NOT APPLY TO 
WINDOWS PLATFORM) 
 
Problem Description: 
 
If you install a DB2 Special Build (db2setup/db2_install) in a 
 
different directory than the previous installation then 
db2iupdt may fail with a misleading DBI1177W message: 
 
DBI1177W Updating an instance to a code level that is lower than 
         the current level used by the instance. 
 
This problem is caused by a invalid comparison of the build 
level strings in the instance update scripts (i.e.: sYYMMDD vs. 
special_NNNNN). 
 
Note: If you are going to install a Special Build provided by 
DB2 Technical Support then the warning can be ignored and 
db2iupdt should be run with the "-D" option to overcome the 
problem. 
 
Problem Summary: 
 
If you install a DB2 Special Build (db2setup/db2_install) in a 
 
different directory than the previous installation then 
db2iupdt may fail with a misleading DBI1177W message: 
 
DBI1177W Updating an instance to a code level that is lower than 
         the current level used by the instance. 
 
This problem is caused by a invalid comparison of the build 
level strings in the instance update scripts (i.e.: sYYMMDD vs. 
special_NNNNN). 
 
Note: If you are going to install a Special Build provided by 
DB2 Technical Support then the warning can be ignored and 
db2iupdt should be run with the "-D" option to overcome the 
problem.
Local Fix:
Run "db2iupdt -D" as suggested by the db2iupdt script to skip 
the build level check. 
 
or 
 
Alternativly use the "installFixPack" script to install the 
Special Build in the same path than the previous installation. 
In this case the problem does not occur.
available fix packs:
DB2 Version 9.1 Fix Pack 9  for Linux, UNIX and Windows
DB2 Version 9.1 Fix Pack 10  for Linux, UNIX and Windows
DB2 Version 9.1 Fix Pack 11  for Linux, UNIX and Windows
DB2 Version 9.1 Fix Pack 12  for Linux, UNIX and Windows

Solution
First fixed in DB2 UDB Version 9.1, FixPak 9 (build s100306)
Workaround
See LOCAL FIX.
BUG-Tracking
forerunner  : APAR is sysrouted TO one or more of the following: IC64347 IC66391 
follow-up : 
Timestamps
Date  - problem reported    :
Date  - problem closed      :
Date  - last modified       :
05.11.2009
14.04.2010
14.04.2010
Problem solved at the following versions (IBM BugInfos)
9.0.,
9.1.
Problem solved according to the fixlist(s) of the following version(s)
9.1.0.9 FixList
This site uses cookies to make it easier for us to provide you with our services. By using our site you agree to the use of cookies.